summarylogtreecommitdiffstats
path: root/neo4j.install
diff options
context:
space:
mode:
authorMarcel Campello Ferreira2014-06-02 00:02:19 -0300
committerMarcel Campello Ferreira2014-06-02 00:02:19 -0300
commit837d29737b122d90332ac131ecfc7a9066f4aa3e (patch)
treea66dd6aed95dd307e4b6cefc22a1c8c5324d3d17 /neo4j.install
parent27ba97771141b5ca58ef3274b6b5e735baa15a74 (diff)
downloadaur-837d29737b122d90332ac131ecfc7a9066f4aa3e.tar.gz
Version 2.1.1-1.
Diffstat (limited to 'neo4j.install')
-rw-r--r--neo4j.install33
1 files changed, 19 insertions, 14 deletions
diff --git a/neo4j.install b/neo4j.install
index a094e1a34578..c5f27165706e 100644
--- a/neo4j.install
+++ b/neo4j.install
@@ -1,12 +1,3 @@
-assert_user_and_group_exist() {
- if ! getent group neo4j >/dev/null; then
- groupadd --system neo4j
- fi
- if ! getent passwd neo4j >/dev/null; then
- useradd --system -g neo4j -d /var/lib/neo4j -s /bin/false neo4j
- fi
-}
-
post_install() {
assert_user_and_group_exist
@@ -33,13 +24,27 @@ post_remove() {
fi
}
+assert_user_and_group_exist() {
+ if ! getent group neo4j >/dev/null; then
+ groupadd --system neo4j
+ fi
+ if ! getent passwd neo4j >/dev/null; then
+ useradd --system -g neo4j -d /var/lib/neo4j -s /bin/false neo4j
+ fi
+}
+
warn_about_java_home() {
echo "------------------------------"
echo "--- ACHTUNG ACHTUNG ALARM! ---"
echo "------------------------------"
- echo "Before starting the Neo4j service, please edit"
- echo "'/usr/lib/systemd/system/neo4j.service', changing"
- echo "'Environment=JAVA_HOME=/your/java/home/path' to your"
- echo "actual JAVA_HOME path. Do not forget to uncomment"
- echo "that line too and then run 'systemctl daemon-reload'."
+ echo "Before starting the Neo4j service, create this file"
+ echo ""
+ echo "/etc/systemd/system/neo4j.service.d/java_home.conf"
+ echo ""
+ echo "with the following content:"
+ echo ""
+ echo "[Service]"
+ echo "Environment=JAVA_HOME=/your/java/home/path"
+ echo ""
+ echo "changing '/your/java/home/path' to your actual JAVA_HOME path."
}